Author Topic: LinuxMCE 8.10 --> 9.04 upgrade fail  (Read 2193 times)

valent

  • Guru
  • ****
  • Posts: 381
    • View Profile
    • /kernel_reloaded/
LinuxMCE 8.10 --> 9.04 upgrade fail
« on: January 02, 2011, 09:18:11 pm »
Just tried doing dist-upgrade on my LinuxMCE 8.10 and after update finished I got no X running and some mysql errors so just as a warning don't try to do dist-upgrate from Kubuntu 8.10 to 9.04.

If anybody got their LinuxMCE 8.10 upgraded without any issues please share info how you managed to do it.

Cheers,
Valent.
LinuxMCE - If it was easy, everybody would be doing it!!
My setup - http://wiki.linuxmce.org/index.php/User:Valent

purps

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1402
  • If it ain't broke, tweak it
    • View Profile
Re: LinuxMCE 8.10 --> 9.04 upgrade fail
« Reply #1 on: January 03, 2011, 12:44:45 am »
Please correct me if I am wrong, but I don't think you should be upgrading to 9.04.

FYI, dist-upgrade installs new deb packages (if any), as well as update existing ones; it does not upgrade Kubuntu itself. Again, please correct me if I am wrong somebody!

Cheers,
Matt.

EDIT: By the way, I was having some trouble with dist-upgrade earlier. It's working now, so try again.
« Last Edit: January 03, 2011, 12:54:43 am by purps »
1004 RC :: looking good :: upgraded 01/04/2013
my setup :: http://wiki.linuxmce.org/index.php/User:Purps

trentend

  • Veteran
  • ***
  • Posts: 117
    • View Profile
Re: LinuxMCE 8.10 --> 9.04 upgrade fail
« Reply #2 on: January 03, 2011, 01:36:39 am »
I don't know the insides of Linuxmce, but I would imagine a distribution upgrade could break a whole range of things.  From one distribution to another some packages are upgraded, some are added, but also some are removed and no longer supported.  Some things also move location and/or change name.  Given the Linuxmce hooks into a lot of things, I would imagine this could make a real mess.

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3669
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: LinuxMCE 8.10 --> 9.04 upgrade fail
« Reply #3 on: January 03, 2011, 07:48:02 am »
We do not supply any packages for 9.04

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: LinuxMCE 8.10 --> 9.04 upgrade fail
« Reply #4 on: January 03, 2011, 04:00:54 pm »
As I know packages available for 10.04 only. So, upgrade from 0810 is not possible I think.
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru

valent

  • Guru
  • ****
  • Posts: 381
    • View Profile
    • /kernel_reloaded/
Re: LinuxMCE 8.10 --> 9.04 upgrade fail
« Reply #5 on: January 04, 2011, 05:54:31 pm »
I know that upgrading to new version has a lot of issues but I had to try for myself and see how much stuff would break while doing distr-upgrade.

I needed to do a clean reinstall so I figured to try and see what happens during dist-upgrade. Now I know that everything breaks.
LinuxMCE - If it was easy, everybody would be doing it!!
My setup - http://wiki.linuxmce.org/index.php/User:Valent

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: LinuxMCE 8.10 --> 9.04 upgrade fail
« Reply #6 on: January 04, 2011, 08:30:55 pm »
valent, you won't be able to upgrade from 0810 to 1004 cause the LinuxMCE packages exist for Kubuntu 8.10 and 10.04 only and not for 9.04.
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru